View Issue Details

IDProjectCategoryView StatusLast Update
0032838Open CASCADEOCCT:Codingpublic2022-02-19 12:57
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032838: Coding - get rid of unused forward declarations (misc)
DescriptionThis small patch gets rid of even more unused forward declarations.
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032615 closedbugmaster Coding - get rid of unused forward declarations 

Activities

git

2022-02-16 12:59

administrator   ~0106921

Branch CR32838 has been created by aml.

SHA-1: a02d6c1abba4fa63500d9cf9c29bec45935ef9b1


Detailed log of new commits:

Author: aml
Date: Wed Feb 16 12:59:22 2022 +0300

    0032838: Coding - get rid of unused forward declarations (misc)

aml

2022-02-17 06:34

developer   ~0106939

Dear Kirill,

Please take a look at the patch:
-OCCT: CR32838
-Products: CR32838

Jenkins:
http://jenkins-test-occt/view/CR32838-master-aml/view/ALL/

smoskvin

2022-02-19 11:35

administrator   ~0106985

Combination -
OCCT branch : IR-2022-02-18
master SHA - 600ee856316c1a9eb340779b32de511b74465896
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-18 SHA - 859115827d7f98f21dc3e653fecea4c712aae052
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18496.730000000363 / 18543.560000000383 [-0.25%]
Products
Total CPU difference: 11705.020000000135 / 11696.60000000009 [+0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20453.203125 / 20387.28125 [+0.32%]
Products
Total CPU difference: 13176.3125 / 13150.390625 [+0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-19 12:57

administrator   ~0106995

Branch CR32838 has been deleted by mnt.

SHA-1: a02d6c1abba4fa63500d9cf9c29bec45935ef9b1

Related Changesets

occt: master 08984eda

2022-02-16 12:59:22

aml


Committer: smoskvin Details Diff
0032838: Coding - get rid of unused forward declarations (misc) Affected Issues
0032838
mod - src/gp/gp_Mat.hxx Diff File
mod - src/Law/Law.hxx Diff File
mod - src/Law/Law_BSpFunc.hxx Diff File
mod - src/Law/Law_BSpline.hxx Diff File
mod - src/Law/Law_BSplineKnotSplitting.hxx Diff File
mod - src/Law/Law_Composite.hxx Diff File
mod - src/Law/Law_Constant.hxx Diff File
mod - src/Law/Law_Function.hxx Diff File
mod - src/Law/Law_Interpolate.hxx Diff File
mod - src/Law/Law_Linear.hxx Diff File
mod - src/STEPSelections/STEPSelections_AssemblyExplorer.hxx Diff File
mod - src/STEPSelections/STEPSelections_AssemblyLink.hxx Diff File
mod - src/SWDRAW/SWDRAW.hxx Diff File

occt-products: master 85911582

2022-02-16 13:33:26

aml

Details Diff
0032838: Coding - get rid of unused forward declarations (misc) Affected Issues
0032838
mod - diff Diff File
mod - src/IFCCAFControl/IFCCAFControl_Transform.hxx Diff File

Issue History

Date Modified Username Field Change
2022-02-16 12:58 aml New Issue
2022-02-16 12:58 aml Assigned To => aml
2022-02-16 12:59 aml Relationship added related to 0032615
2022-02-16 12:59 git Note Added: 0106921
2022-02-17 06:34 aml Assigned To aml => kgv
2022-02-17 06:34 aml Status new => resolved
2022-02-17 06:34 aml Note Added: 0106939
2022-02-17 08:44 kgv Assigned To kgv => bugmaster
2022-02-17 08:44 kgv Status resolved => reviewed
2022-02-17 08:44 kgv Relationship replaced child of 0032615
2022-02-19 11:35 smoskvin Status reviewed => tested
2022-02-19 11:35 smoskvin Note Added: 0106985
2022-02-19 11:36 smoskvin Test case number => Not required
2022-02-19 12:43 smoskvin Changeset attached => occt master 08984eda
2022-02-19 12:43 aml Assigned To bugmaster => aml
2022-02-19 12:43 aml Status tested => verified
2022-02-19 12:43 aml Resolution open => fixed
2022-02-19 12:43 aml Changeset attached => occt-products master 85911582
2022-02-19 12:57 git Note Added: 0106995